Rapid7 Vulnerability & Exploit Database

Red Hat OpenShift: CVE-2019-1003004: jenkins: deleting a user record will does not invalidate existing sessions

Back to Search

Red Hat OpenShift: CVE-2019-1003004: jenkins: deleting a user record will does not invalidate existing sessions

Severity
7
CVSS
(AV:N/AC:L/Au:S/C:P/I:P/A:P)
Published
01/22/2019
Created
04/26/2019
Added
04/25/2019
Modified
04/25/2019

Description

An improper authorization vulnerability exists in Jenkins 2.158 and earlier, LTS 2.150.1 and earlier in core/src/main/java/hudson/security/AuthenticationProcessingFilter2.java that allows attackers to extend the duration of active HTTP sessions indefinitely even though the user account may have been deleted in the mean time.

Solution(s)

  • linuxrpm-upgrade-jenkins

References

  • linuxrpm-upgrade-jenkins

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;